# class MonoLogger

## MonoLogger¶ ↑

    A subclass of Ruby's stdlib Logger with all the mutex and logrotation stuff
    ripped out.

### Public Class Methods

new(logdev) click to toggle source

### Synopsis¶ ↑

    Logger.new(name, shift_age = 7, shift_size = 1048576)
    Logger.new(name, shift_age = 'weekly')

### Args¶ ↑

`logdev`

  The log device. This is a filename (String) or IO object (typically `STDOUT`, `STDERR`, or an open file).

`shift_age`

  Number of old log files to keep, or frequency of rotation (`daily`, `weekly` or `monthly`).

`shift_size`

  Maximum logfile size (only applies when `shift_age` is a number).

### Description¶ ↑

Create an instance.

    # File lib/chef/monologger.rb, line 31
    def initialize(logdev)
      @progname = nil
      @level = DEBUG
      @default_formatter = Formatter.new
      @formatter = nil
      @logdev = nil
      if logdev
        @logdev = LocklessLogDevice.new(logdev)
      end
    end